%include goptions;                                                              
*goptions vsize=7 hsize=6;                                                      
%*size(5);                                                                       
libname gfont0 '~/sasuser/gfont';
 /*-----------------------------------------------------*                       
  | Construct a font consisting of 26 sunflower symbols |                       
  *-----------------------------------------------------*/                      
title 'Construct a font for making Sunflower Plots';                            
data sunsymb;                                                                   
  alpha = 'ABCDEFGHIJKLMNOPQRSTUVWXYZ';                                         
  do n=1 to 26;                                                                 
     char=substr(alpha,n,1);                                                    
     segment=n;                                                                 
     x = .2; y = .2; output;         /* Draw small box at center */             
     x =-.2; y = .2; output;         /* of each symbol           */             
     x =-.2; y =-.2; output;                                                    
     x = .2; y =-.2; output;                                                    
     x = .2; y = .2; output;                                                    
     if n>1 then                                                                
       do i=1 to n;                  /* draw n radial lines      */             
         x=0; y=0; output;                                                      
         x=cos(2*atan(1) + i/n*(8*atan(1)));                                    
         y=sin(2*atan(1) + i/n*(8*atan(1)));                                    
         output;                                                                
       end;                                                                     
  end;                                                                          
proc gfont data=sunsymb deck &GOUT             /* name=GB0426 */                
           name=sun showroman h=5 romht=3;                                      
   title ' ';                                                                   
%*gfinish;                                                                       
